---
lang: en
title: 'API docs: testlab.validateapispec'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.validateapispec.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [validateApiSpec](./testlab.validateapispec.md)

## validateApiSpec() function

<b>Signature:</b>

```typescript
export declare function validateApiSpec(spec: any): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  spec | <code>any</code> |  |

<b>Returns:</b>

`Promise<void>`


